Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::OCSP::SingleResponse Class Referencefinal

`#include <ocsp_types.h>`

Inheritance diagram for Botan::OCSP::SingleResponse:

## Public Member Functions
size_t | cert_status () const
const CertID & | certid () const
void | decode_from (class BER_Decoder &from) override
void | encode_into (class DER_Encoder &to) const override
X509_Time | next_update () const
X509_Time | this_update () const

## Detailed Description

Definition at line 43 of file ocsp_types.h.

## Member Function Documentation

size_t Botan::OCSP::SingleResponse::cert_status | ( |  | ) | const
| inline

Definition at line 48 of file ocsp_types.h.

Referenced by decode_from().

48 { return m_cert_status; }

const CertID& Botan::OCSP::SingleResponse::certid | ( |  | ) | const
| inline

Definition at line 46 of file ocsp_types.h.

46 { return m_certid; }

void Botan::OCSP::SingleResponse::decode_from | ( | class BER_Decoder & | from | ) |
| override virtual

Decode whatever this object is from from

Parameters

  from | the BER_Decoder that will be read from

Implements Botan::ASN1_Object.

Definition at line 84 of file ocsp_types.cpp.

References cert_status(), Botan::CONSTRUCTED, Botan::CONTEXT_SPECIFIC, Botan::BER_Decoder::decode(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::end_cons(), Botan::BER_Decoder::get_next(), Botan::SEQUENCE, Botan::BER_Decoder::start_cons(), and Botan::BER_Object::type_tag.

85 {
86 BER_Object cert_status;
87 Extensions extensions;
88
89 from.start_cons(SEQUENCE)
90 .decode(m_certid)
91 .get_next(cert_status)
92 .decode(m_thisupdate)
93 .decode_optional(m_nextupdate, ASN1_Tag(0),
94 ASN1_Tag(CONTEXT_SPECIFIC | CONSTRUCTED))
95 .decode_optional(extensions,
96 ASN1_Tag(1),
97 ASN1_Tag(CONTEXT_SPECIFIC | CONSTRUCTED))
98 .end_cons();
99
100 m_cert_status = cert_status.type_tag;
101 }
Botan::CONTEXT_SPECIFIC
Definition: asn1_obj.h:25
Botan::CONSTRUCTED
Definition: asn1_obj.h:27
Botan::ASN1_Tag
ASN1_Tag
Definition: asn1_obj.h:22
Botan::SEQUENCE
Definition: asn1_obj.h:39
Botan::OCSP::SingleResponse::cert_status
size_t cert_status() const
Definition: ocsp_types.h:48

void Botan::OCSP::SingleResponse::encode_into | ( | class DER_Encoder & | to | ) | const
| override virtual

Encode whatever this object is into to

Parameters

  to | the DER_Encoder that will be written to

Implements Botan::ASN1_Object.

Definition at line 79 of file ocsp_types.cpp.

80 {
81 throw Not_Implemented("SingleResponse::encode_into");
82 }

X509_Time Botan::OCSP::SingleResponse::next_update | ( |  | ) | const
| inline

Definition at line 52 of file ocsp_types.h.

52 { return m_nextupdate; }

X509_Time Botan::OCSP::SingleResponse::this_update | ( |  | ) | const
| inline

Definition at line 50 of file ocsp_types.h.

50 { return m_thisupdate; }

The documentation for this class was generated from the following files:

- src/lib/x509/ocsp_types.h
- src/lib/x509/ocsp_types.cpp